/***** simNorm.c **********************************
 * Description: Simulate samples drawn from the 
 *   normal distribution.
 * Author: Bernhard Haubold, haubold@evolbio.mpg.de
 * Date: Thu Dec 15 09:48:52 2016
 **************************************************/
#include <stdio.h>
#include <stdlib.h>
#include "interface.h"
#include "eprintf.h"
#include "gsl_rng.h"

int main(int argc, char *argv[]){
  int i, j;
  char *version;
  Args *args;
  gsl_rng *ran;
  double r;

  version = "0.1";
  setprogname2("simNorm");
  args = getArgs(argc, argv);
  ran = ini_gsl_rng(args);
  if(args->v)
    printSplash(version);
  if(args->h || args->e)
    printUsage(version);
  for(i=0;i<args->i;i++){
    printf("S%d", i+1);
    for(j=0;j<args->n;j++){
      r = gsl_ran_gaussian(ran, args->d) + args->m;
      printf("\t%.3e", r);
    }
    printf("\n");
  }
  free_gsl_rng(ran, args);
  free(args);
  free(progname());
  return 0;
}
